data:extend(
{  
	{
    type = "inserter",
    name = "basic-near-inserter",
    icon = "__moreinserters__/graphics/icons/basic-near-inserter.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "basic-near-inserter"},
    max_health = 40,
    corpse = "small-remnants",
    resistances = 
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.4, -0.35}, {0.4, 0.45}},
	pickup_position = {0, -1},
    insert_position = {0, 0.85},
    energy_per_movement = 5000,
    energy_per_rotation = 5000,
	rotation_speed = 0.014,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
	  drain = "0.4kW"
    },
    extension_speed = 0.028,
    fast_replaceable_group = "inserter",
    hand_base_picture =
    {
      filename = "__moreinserters__/graphics/entity/basic-near-inserter/basic-near-inserter-hand-base.png",
      priority = "extra-high",
      width = 8,
      height = 34
    },
    hand_closed_picture =
    {
      filename = "__moreinserters__/graphics/entity/basic-near-inserter/basic-near-inserter-hand-closed.png",
      priority = "extra-high",
      width = 13,
      height = 41
    },
    hand_open_picture =
    {
      filename = "__moreinserters__/graphics/entity/basic-near-inserter/basic-near-inserter-hand-open.png",
      priority = "extra-high",
      width = 13,
      height = 41
    },
    platform_picture =
    {
      priority = "extra-high",
      width = 46,
      height = 46,
      sheet = "__moreinserters__/graphics/entity/basic-near-inserter/basic-near-inserter-platform.png"
    }
  },
   {
    type = "inserter",
    name = "long-handed-fast-inserter",
    icon = "__moreinserters__/graphics/icons/long-handed-fast-inserter.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "long-handed-fast-inserter"},
    max_health = 40,
    corpse = "small-remnants",
    resistances = 
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.4, -0.35}, {0.4, 0.45}},
	pickup_position = {0, -2},
    insert_position = {0, 2.35},
    energy_per_movement = 5000,
    energy_per_rotation = 5000,
    rotation_speed = 0.05,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
	  drain = "0.4kW"
    },
    extension_speed = 0.1,
    fast_replaceable_group = "inserter",
    hand_base_picture =
    {
      filename = "__moreinserters__/graphics/entity/long-handed-fast-inserter/long-handed-fast-inserter-hand-base.png",
      priority = "extra-high",
      width = 8,
      height = 34
    },
    hand_closed_picture =
    {
      filename = "__moreinserters__/graphics/entity/long-handed-fast-inserter/long-handed-fast-inserter-hand-closed.png",
      priority = "extra-high",
      width = 13,
      height = 41
    },
    hand_open_picture =
    {
      filename = "__moreinserters__/graphics/entity/long-handed-fast-inserter/long-handed-fast-inserter-hand-open.png",
      priority = "extra-high",
      width = 13,
      height = 41
    },
    platform_picture =
    {
      priority = "extra-high",
      width = 46,
      height = 46,
      sheet = "__moreinserters__/graphics/entity/long-handed-fast-inserter/long-handed-fast-inserter-platform.png"
    }
  },
  {
    type = "inserter",
    name = "long-handed-fast-near-inserter",
    icon = "__moreinserters__/graphics/icons/long-handed-fast-near-inserter.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "long-handed-fast-near-inserter"},
    max_health = 40,
    corpse = "small-remnants",
    resistances = 
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.4, -0.35}, {0.4, 0.45}},
    pickup_position = {0, -2},
    insert_position = {0, 1.85},
    energy_per_movement = 5000,
    energy_per_rotation = 5000,
    rotation_speed = 0.05,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
	  drain = "0.4kW"
    },
    extension_speed = 0.1,
    fast_replaceable_group = "inserter",
    hand_base_picture =
    {
      filename = "__moreinserters__/graphics/entity/long-handed-fast-near-inserter/long-handed-fast-near-inserter-hand-base.png",
      priority = "extra-high",
      width = 8,
      height = 34
    },
    hand_closed_picture =
    {
      filename = "__moreinserters__/graphics/entity/long-handed-fast-near-inserter/long-handed-fast-near-inserter-hand-closed.png",
      priority = "extra-high",
      width = 13,
      height = 41
    },
    hand_open_picture =
    {
      filename = "__moreinserters__/graphics/entity/long-handed-fast-near-inserter/long-handed-fast-near-inserter-hand-open.png",
      priority = "extra-high",
      width = 13,
      height = 41
    },
    platform_picture =
    {
      priority = "extra-high",
      width = 46,
      height = 46,
      sheet = "__moreinserters__/graphics/entity/long-handed-fast-near-inserter/long-handed-fast-near-inserter-platform.png"
    }
  },
  {
    type = "inserter",
    name = "long-handed-smart-inserter",
    icon = "__moreinserters__/graphics/icons/long-handed-smart-inserter.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "long-handed-smart-inserter"},
    max_health = 40,
    corpse = "small-remnants",
    resistances = 
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.4, -0.35}, {0.4, 0.45}},
    pickup_position = {0, -2},
    insert_position = {0, 2.35},
    energy_per_movement = 7000,
    energy_per_rotation = 7000,
    rotation_speed = 0.05,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
	  drain = "0.4kW"
    },
    extension_speed = 0.1,
    fast_replaceable_group = "inserter",
    hand_base_picture =
    {
      filename = "__moreinserters__/graphics/entity/long-handed-smart-inserter/long-handed-smart-inserter-hand-base.png",
      priority = "extra-high",
      width = 8,
      height = 34
    },
    hand_closed_picture =
    {
      filename = "__moreinserters__/graphics/entity/long-handed-smart-inserter/long-handed-smart-inserter-hand-closed.png",
      priority = "extra-high",
      width = 13,
      height = 41
    },
    hand_open_picture =
    {
      filename = "__moreinserters__/graphics/entity/long-handed-smart-inserter/long-handed-smart-inserter-hand-open.png",
      priority = "extra-high",
      width = 13,
      height = 41
    },
    platform_picture =
    {
      priority = "extra-high",
      width = 46,
      height = 46,
      sheet = "__moreinserters__/graphics/entity/long-handed-smart-inserter/long-handed-smart-inserter-platform.png"
    },
	filter_count = 5,
    programmable = true
  },
  {
    type = "inserter",
    name = "long-handed-smart-near-inserter",
    icon = "__moreinserters__/graphics/icons/long-handed-smart-near-inserter.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "long-handed-smart-near-inserter"},
    max_health = 40,
    corpse = "small-remnants",
    resistances = 
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.4, -0.35}, {0.4, 0.45}},
    pickup_position = {0, -2},
    insert_position = {0, 1.85},
    energy_per_movement = 7000,
    energy_per_rotation = 7000,
    rotation_speed = 0.05,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
	  drain = "0.4kW"
    },
    extension_speed = 0.1,
    fast_replaceable_group = "inserter",
    hand_base_picture =
    {
      filename = "__moreinserters__/graphics/entity/long-handed-smart-near-inserter/long-handed-smart-near-inserter-hand-base.png",
      priority = "extra-high",
      width = 8,
      height = 34
    },
    hand_closed_picture =
    {
      filename = "__moreinserters__/graphics/entity/long-handed-smart-near-inserter/long-handed-smart-near-inserter-hand-closed.png",
      priority = "extra-high",
      width = 13,
      height = 41
    },
    hand_open_picture =
    {
      filename = "__moreinserters__/graphics/entity/long-handed-smart-near-inserter/long-handed-smart-near-inserter-hand-open.png",
      priority = "extra-high",
      width = 13,
      height = 41
    },
    platform_picture =
    {
      priority = "extra-high",
      width = 46,
      height = 46,
      sheet = "__moreinserters__/graphics/entity/long-handed-smart-near-inserter/long-handed-smart-near-inserter-platform.png"
    },
	filter_count = 5,
    programmable = true
  },
  {
    type = "inserter",
    name = "long-handed-near-inserter",
    icon = "__moreinserters__/graphics/icons/long-handed-near-inserter.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "long-handed-near-inserter"},
    max_health = 40,
    corpse = "small-remnants",
    resistances = 
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.4, -0.35}, {0.4, 0.45}},
    pickup_position = {0, -2},
    insert_position = {0, 1.85},
    energy_per_movement = 5000,
    energy_per_rotation = 5000,
    rotation_speed = 0.02,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
	  drain = "0.4kW"
    },
    extension_speed = 0.04,
    fast_replaceable_group = "inserter",
    hand_base_picture =
    {
      filename = "__moreinserters__/graphics/entity/long-handed-near-inserter/long-handed-near-inserter-hand-base.png",
      priority = "extra-high",
      width = 8,
      height = 34
    },
    hand_closed_picture =
    {
      filename = "__moreinserters__/graphics/entity/long-handed-near-inserter/long-handed-near-inserter-hand-closed.png",
      priority = "extra-high",
      width = 13,
      height = 41
    },
    hand_open_picture =
    {
      filename = "__moreinserters__/graphics/entity/long-handed-near-inserter/long-handed-near-inserter-hand-open.png",
      priority = "extra-high",
      width = 13,
      height = 41
    },
    platform_picture =
    {
      priority = "extra-high",
      width = 46,
      height = 46,
      sheet = "__moreinserters__/graphics/entity/long-handed-near-inserter/long-handed-near-inserter-platform.png"
    }
  },
  {
    type = "inserter",
    name = "fast-near-inserter",
    icon = "__moreinserters__/graphics/icons/fast-near-inserter.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable =
    {
      hardness = 0.2,
      mining_time = 0.5,
      result = "fast-near-inserter"
    },
    max_health = 40,
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.4, -0.35}, {0.4, 0.45}},
    pickup_position = {0, -1},
    insert_position = {0, 0.85},
    energy_per_movement = 5000,
    energy_per_rotation = 5000,
    energy_source = {
      type = "electric",
      usage_priority = "secondary-input",
	  drain = "0.4kW"
    },
    extension_speed = 0.07,
    fast_replaceable_group = "inserter",
    hand_base_picture = {
      filename = "__moreinserters__/graphics/entity/fast-near-inserter/fast-near-inserter-hand-base.png",
      priority = "extra-high",
      width = 8,
      height = 34
    },
    hand_closed_picture = {
      filename = "__moreinserters__/graphics/entity/fast-near-inserter/fast-near-inserter-hand-closed.png",
      priority = "extra-high",
      width = 13,
      height = 41
    },
    hand_open_picture = {
      filename = "__moreinserters__/graphics/entity/fast-near-inserter/fast-near-inserter-hand-open.png",
      priority = "extra-high",
      width = 13,
      height = 41
    },
    platform_picture =
    {
      priority = "extra-high",
      width = 46,
      height = 46,
      sheet = "__moreinserters__/graphics/entity/fast-near-inserter/fast-near-inserter-platform.png"
    },
    rotation_speed = 0.035
  },
  {
    type = "inserter",
    name = "smart-near-inserter",
    icon = "__moreinserters__/graphics/icons/smart-near-inserter.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "smart-near-inserter"},
    max_health = 40,
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.4, -0.35}, {0.4, 0.45}},
    pickup_position = {0, -1},
    insert_position = {0, 0.85},
    energy_per_movement = 7000,
    energy_per_rotation = 7000,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
	  drain = "0.4kW"
    },
    extension_speed = 0.07,
    fast_replaceable_group = "inserter",
    filter_count = 5,
    hand_base_picture =
    {
      filename = "__moreinserters__/graphics/entity/smart-near-inserter/smart-near-inserter-hand-base.png",
      priority = "extra-high",
      width = 8,
      height = 34
    },
    hand_closed_picture =
    {
      filename = "__moreinserters__/graphics/entity/smart-near-inserter/smart-near-inserter-hand-closed.png",
      priority = "extra-high",
      width = 13,
      height = 41
    },
    hand_open_picture =
    {
      filename = "__moreinserters__/graphics/entity/smart-near-inserter/smart-near-inserter-hand-open.png",
      priority = "extra-high",
      width = 13,
      height = 41
    },
    platform_picture =
    {
      priority = "extra-high",
      width = 46,
      height = 46,
      sheet = "__moreinserters__/graphics/entity/smart-near-inserter/smart-near-inserter-platform.png"
    },
    programmable = true,
    rotation_speed = 0.035,
   }
}
)
